apt 3.2.0 commandline package manager

Public Member Functions | List of all members
edspSystem Class Reference
Inheritance diagram for edspSystem:

## Public Member Functions
bool | Initialize (Configuration &Cnf) override
bool | AddStatusFiles (std::vector< pkgIndexFile * > &List) override
Public Member Functions inherited from edspLikeSystem
bool | Lock (OpProgress *Progress) override APT_PURE
bool | UnLock (bool NoErrors=false) override APT_PURE
pkgPackageManager * | CreatePM (pkgDepCache *Cache) const override APT_PURE
bool | ArchiveSupported (const char *Type) override APT_PURE
signed | Score (Configuration const &Cnf) override
bool | FindIndex (pkgCache::PkgFileIterator File, pkgIndexFile *&Found) const override
bool | MultiArchSupported () const override
std::vector< std::string > | ArchitecturesSupported () const override
bool | LockInner (OpProgress *const, int) override
bool | UnLockInner (bool) override
bool | IsLocked () override
| checks if the system is currently locked
| edspLikeSystem (char const *const Label)
Public Member Functions inherited from pkgSystem
APT_HIDDEN void | SetVersionMapping (map_id_t const in, map_id_t const out)
APT_HIDDEN map_id_t | GetVersionMapping (map_id_t const in) const
| pkgSystem (char const *const Label, pkgVersioningSystem *const VS)

## Additional Inherited Members
Static Public Member Functions inherited from pkgSystem
static pkgSystem * | GetSystem (const char *Label)
Public Attributes inherited from pkgSystem
const char *const | Label
pkgVersioningSystem *const | VS
Static Public Attributes inherited from pkgSystem
static pkgSystem ** | GlobalList = SysList
static unsigned long | GlobalListLen = 0
Protected Attributes inherited from edspLikeSystem
std::unique_ptr< pkgIndexFile > | StatusFile

## Member Function Documentation

## ◆ AddStatusFiles()

bool AddStatusFiles | ( | std::vector< pkgIndexFile * > & | List | ) |
| override virtual

Implements pkgSystem.

## ◆ Initialize()

bool Initialize | ( | Configuration & | Cnf | ) |
| override virtual

Reimplemented from edspLikeSystem.

The documentation for this class was generated from the following files:

- apt-pkg/edsp/edspsystem.h
- apt-pkg/edsp/edspsystem.cc